#
# spec file for package eventReceivers (Version 2.20.15)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           eventReceivers
Source0:        eventReceivers-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
Version:        2.20.15
Release:        1.4
Summary:        Command Center Event Receivers
Url:            https://fedorahosted.org/spacewalk
BuildArch:      noarch
Group:          Applications/Internet
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif

# smtpdaemon or mailx. I picked up smtpdaemon
%if 0%{?suse_version}
Requires:       smtp_daemon
%else
Requires:       smtpdaemon
%endif

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package contains handler, which receive events from scouts.



%prep
%setup -q -n eventReceivers-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse
install -m644 *.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse

%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/*
%doc LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 11 2011 mc@suse.de
- Revert "Extend original release number by OBS release."
* Tue Sep 14 2010 mantel@suse.de
- Initial release
